tigase.net

## Class ConnectionOpenThread

- java.lang.Object
- - tigase.net.ConnectionOpenThread

- All Implemented Interfaces:
    Runnable

      public class ConnectionOpenThread
      extends Object
      implements Runnable

  Describe class ConnectionOpenThread here. Created: Wed Jan 25 23:51:28 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected long` | `accept_counter` Field description
    `static long` | `def_5222_throttling`
    `static long` | `def_5223_throttling` Field description
    `static long` | `def_5269_throttling` Field description
    `static long` | `def_5280_throttling` Field description
    `static Map<Integer,tigase.net.ConnectionOpenThread.PortThrottlingData>` | `throttling` Field description

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConnectionOpenListener(ConnectionOpenListener al)` Method description
    `static ConnectionOpenThread` | `getInstance()` Method description
    `void` | `removeConnectionOpenListener(ConnectionOpenListener al)` Method description
    `void` | `run()`
    `void` | `start()` Method description
    `void` | `stop()` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### def_5222_throttling

          public static final long def_5222_throttling

      See Also:
        Constant Field Values

    - #### def_5223_throttling

          public static final long def_5223_throttling

      Field description
      See Also:
        Constant Field Values

    - #### def_5269_throttling

          public static final long def_5269_throttling

      Field description
      See Also:
        Constant Field Values

    - #### def_5280_throttling

          public static final long def_5280_throttling

      Field description
      See Also:
        Constant Field Values

    - #### throttling

          public static Map<Integer,tigase.net.ConnectionOpenThread.PortThrottlingData> throttling

      Field description

    - #### accept_counter

          protected long accept_counter

      Field description

  - ### Method Detail

    - #### addConnectionOpenListener

          public void addConnectionOpenListener(ConnectionOpenListener al)

      Method description
      Parameters:
        `al` -

    - #### removeConnectionOpenListener

          public void removeConnectionOpenListener(ConnectionOpenListener al)

      Method description
      Parameters:
        `al` -

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

    - #### start

          public void start()

      Method description

    - #### stop

          public void stop()

      Method description

    - #### getInstance

          public static ConnectionOpenThread getInstance()

      Method description

Copyright © 2018 "Tigase, Inc.". All rights reserved.